restic backup(1)

NAME

restic-backup - Create a new backup of files and/or directories

SYNOPSIS

restic backup [flags] FILE/DIR [FILE/DIR] ...

DESCRIPTION

The "backup" command creates a new snapshot and saves the files and directories given as the arguments.

OPTIONS

-e, --exclude=[]
    exclude a pattern (can be specified multiple times)

--exclude-caches[=false]
    excludes cache directories that are marked with a CACHEDIR.TAG file

--exclude-file=[]
    read exclude patterns from a file (can be specified multiple times)

--exclude-if-present=[]
    takes filename[:header], exclude contents of directories containing filename (except filename itself) if header of that file is as provided (can be specified multiple times)

--files-from=[]
    read the files to backup from file (can be combined with file args/can be specified multiple times)

-f, --force[=false]
    force re-reading the target files/directories (overrides the "parent" flag)

-h, --help[=false]
    help for backup

-H, --host=""
    set the hostname for the snapshot manually. To prevent an expensive rescan use the "parent" flag

-x, --one-file-system[=false]
    exclude other file systems

--parent=""
    use this parent snapshot (default: last snapshot in the repo that has the same target files/directories)

--stdin[=false]
    read backup from stdin

--stdin-filename="stdin"
    file name to use when reading from stdin

--tag=[]
    add a tag for the new snapshot (can be specified multiple times)

--time=""
    time of the backup (ex. '2012-11-01 22:08:41') (default: now)

--with-atime[=false]
    store the atime for all files and directories

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    file to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory. (default: use system default cache directory)

--cleanup-cache[=false]
    auto remove old cache directories

--json[=false]
    set output mode to JSON for commands that support it

--key-hint=""
    key ID of key to try decrypting first (default: $RESTIC_KEY_HINT)

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repo, this allows some operations on read-only repos

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

--password-command=""
    specify a shell command to obtain a password (default: $RESTIC_PASSWORD_COMMAND)

-p, --password-file=""
    read the repository password from a file (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

-v, --verbose[=0]
    be verbose (specify --verbose multiple times or level n)

SEE ALSO

restic(1)